local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
self.skills.portable_saw = {
		["name_id"] = "menu_portable_saw",
		["desc_id"] = "menu_portable_saw_desc",
		["icon_xy"] = {0, 1},
		[1] = {
			upgrades = {
			},
			cost = self.costs.hightier
		},
		[2] = {
			upgrades = {
				"saw_extra_ammo_multiplier"
			},
			cost = self.costs.hightierpro
		}
	}
self.skills.carbon_blade = {
		["name_id"] = "menu_carbon_blade",
		["desc_id"] = "menu_carbon_blade_desc",
		["icon_xy"] = {0, 2},
		["prerequisites"] = {
			"portable_saw"
		},
		[1] = {
			upgrades = {
				"player_saw_speed_multiplier_1",
				"saw_lock_damage_multiplier_1"
			},
			cost = self.costs.hightier
		},
		[2] = {
			upgrades = {
				"player_saw_speed_multiplier_2",
				"saw_lock_damage_multiplier_2",
				"saw_enemy_slicer"
			},
			cost = self.costs.hightierpro
		}
	}
	
		self.skills.akimbo = {
		["name_id"] = "menu_akimbo_skill",
		["desc_id"] = "menu_akimbo_skill_desc",
		["icon_xy"] = {3, 11},
		[1] = {
			upgrades = {
				"akimbo_recoil_index_addend_1",
				"akimbo_recoil_index_addend_2"
			},
			cost = self.costs.hightier
		},
		[2] = {
			upgrades = {
				"akimbo_extra_ammo_multiplier_1",
				"akimbo_extra_ammo_multiplier_2",
				"akimbo_recoil_index_addend_3"
			},
			cost = self.costs.hightierpro
		}
	}
	
	
	self.skills.mastermind = {
		["name_id"] = "menu_mastermind",
		["desc_id"] = "menu_mastermind_desc",
		["icon_xy"] = {2, 7},
		[1] = {
			upgrades = {},
			cost = self.costs.unlock_tree,
			desc_id = "menu_mastermind_tier_1"
		},
		[2] = {
			upgrades = {},
			desc_id = "menu_mastermind_tier_2"
		},
		[3] = {
			upgrades = {},
			desc_id = "menu_mastermind_tier_3"
		},
		[4] = {
			upgrades = {},
			desc_id = "menu_mastermind_tier_4"
		},
		[5] = {
			upgrades = {},
			desc_id = "menu_mastermind_tier_5"
		},
		[6] = {
			upgrades = {},
			desc_id = "menu_mastermind_tier_6"
		}
	}
	self.skills.enforcer = {
		["name_id"] = "menu_enforcer",
		["desc_id"] = "menu_enforcer_desc",
		["icon_xy"] = {1, 0},
		[1] = {
			upgrades = {},
			cost = self.costs.unlock_tree,
			desc_id = "menu_menu_enforcer_tier_1"
		},
		[2] = {
			upgrades = {},
			desc_id = "menu_menu_enforcer_tier_2"
		},
		[3] = {
			upgrades = {},
			desc_id = "menu_menu_enforcer_tier_3"
		},
		[4] = {
			upgrades = {},
			desc_id = "menu_menu_enforcer_tier_4"
		},
		[5] = {
			upgrades = {},
			desc_id = "menu_menu_enforcer_tier_5"
		},
		[6] = {
			upgrades = {},
			desc_id = "menu_menu_enforcer_tier_6"
		}
	}
	self.skills.technician = {
		["name_id"] = "menu_technician",
		["desc_id"] = "menu_technician_desc",
		["icon_xy"] = {7, 4},
		[1] = {
			upgrades = {},
			cost = self.costs.unlock_tree,
			desc_id = "menu_technician_tier_1"
		},
		[2] = {
			upgrades = {},
			desc_id = "menu_technician_tier_2"
		},
		[3] = {
			upgrades = {},
			desc_id = "menu_technician_tier_3"
		},
		[4] = {
			upgrades = {},
			desc_id = "menu_technician_tier_4"
		},
		[5] = {
			upgrades = {},
			desc_id = "menu_technician_tier_5"
		},
		[6] = {
			upgrades = {},
			desc_id = "menu_technician_tier_6"
		}
	}
	self.skills.ghost = {
		["name_id"] = "menu_ghost",
		["desc_id"] = "menu_ghost_desc",
		["icon_xy"] = {1, 4},
		[1] = {
			upgrades = {
				"ecm_jammer_affects_cameras"
			},
			cost = self.costs.unlock_tree,
			desc_id = "menu_ghost_tier_1"
		},
		[2] = {
			upgrades = {},
			desc_id = "menu_ghost_tier_2"
		},
		[3] = {
			upgrades = {},
			desc_id = "menu_ghost_tier_3"
		},
		[4] = {
			upgrades = {},
			desc_id = "menu_ghost_tier_4"
		},
		[5] = {
			upgrades = {},
			desc_id = "menu_ghost_tier_5"
		},
		[6] = {
			upgrades = {},
			desc_id = "menu_ghost_tier_6"
		}
	}
	self.skills.hoxton = {
		["name_id"] = "menu_hoxton_pack",
		["desc_id"] = "menu_hoxton_pack_desc",
		["icon_xy"] = {3, 10},
		[1] = {
			upgrades = {
				
			},
			cost = self.costs.unlock_tree,
			desc_id = "menu_hoxton_tier_1"
		},
		[2] = {
			upgrades = {},
			desc_id = "menu_hoxton_tier_2"
		},
		[3] = {
			upgrades = {},
			desc_id = "menu_hoxton_tier_3"
		},
		[4] = {
			upgrades = {},
			desc_id = "menu_hoxton_tier_4"
		},
		[5] = {
			upgrades = {},
			desc_id = "menu_hoxton_tier_5"
		},
		[6] = {
			upgrades = {},
			desc_id = "menu_hoxton_tier_6"
		}
	}
	
	self.skills.sentry_gun = {
		["name_id"] = "menu_sentry_gun",
		["desc_id"] = "menu_sentry_gun_desc",
		["icon_xy"] = {7, 5},
		[1] = {
			upgrades = {},
			cost = self.costs.default
		},
		[2] = {
			upgrades = {
				"sentry_gun_armor_multiplier"
			},
			cost = self.costs.pro
		}
	}
	
	
	
	self.skills.second_chances = {
		["name_id"] = "menu_second_chances",
		["desc_id"] = "menu_second_chances_desc",
		["icon_xy"] = {5, 11},
		[1] = {
			upgrades = {
				
			},
			cost = self.costs.hightier
		},
		[2] = {
			upgrades = {
				
			},
			cost = self.costs.hightierpro
		}
	}
	
	self.skills.juggernaut = {
		["name_id"] = "menu_juggernaut",
		["desc_id"] = "menu_juggernaut_desc",
		["icon_xy"] = {3, 1},
		[1] = {
			upgrades = {
				
			},
			cost = self.costs.hightier
		},
		[2] = {
			upgrades = {
				"player_shield_knock",
				"player_run_and_shoot"
			},
			cost = self.costs.hightierpro
		}
	}
	
end